# Unit files for systemd to renew certificates using certbot.
# Copyright (C) 2016 Oleg Girko <ol@infoserver.lv>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

Name: certbot-systemd
Version: 1.0.2
Release: 1%{?dist}.3
Summary: Unit files for systemd to renew certificates qutomatically using certbot
License: GPLv3+
Source0: certbot-systemd.license
Source1: certbot-renew.service
Source2: certbot-renew.timer
Source3: certbot-systemd.preset
BuildArch: noarch
BuildRequires: systemd
Requires: certbot
%systemd_requires

%description
certbot is a free, automated certificate authority that aims
to lower the barriers to entry for encrypting all HTTP traffic on the internet.

This package provides systemd unit files to run certbot twice a day
to renew certificates issued using certbot.

%prep

%build

%install
install -D -m 644 %{SOURCE0} %{buildroot}%{_defaultlicensedir}/%{name}/COPYING
install -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/certbot-renew.service
install -D -m 644 %{SOURCE2} %{buildroot}%{_unitdir}/certbot-renew.timer
install -D -m 644 %{SOURCE3} %{buildroot}%{_presetdir}/91-certbot.preset

%post
%systemd_post certbot-renew.timer

%preun
%systemd_preun certbot-renew.timer

%postun
%systemd_postun certbot-renew.timer

%files
%license %{_defaultlicensedir}/%{name}/COPYING
%{_unitdir}/certbot-renew.service
%{_unitdir}/certbot-renew.timer
%{_presetdir}/91-certbot.preset
%changelog
* Tue Sep 27 2016 Oleg Girko <ol@infoserver.lv> - 1.0.2-1
- Change OnActiveSec to OnUnitActiveSec to make service run periodically
* Thu Sep 15 2016 Oleg Girko <ol@infoserver.lv> - 1.0.1-1
- Add preset file to make timer start by default
* Thu Sep 15 2016 Oleg Girko <ol@infoserver.lv> - 1.0.0-2
- Add copyright notice to spec file
* Wed Sep 14 2016 Oleg Girko <ol@infoserver.lv> - 1.0.0-1
- Initial package
